Subject: Re: [Bitcoin-development] Blocksize and off-chain transactions

From: Peter Todd <[email-masked]>
Date: Wed, 13 Mar 2013 13:48:38 -0400

On Wed, Mar 13, 2013 at 01:01:43PM -0400, Gavin Andresen wrote:
> > The very statement that we're willing to increase the blocksize as our
> > solution to increased transaction volume rather go down the path of
> > off-chain transactions is incredibly controversial.
> 
> I really don't understand this either/or mentality.

You said it best yourself:

10:48 < gavinandresen> Luke-Jr: argument for another day, but I can
almost guarantee that the blocksize limit will be raised in less than 2
years, just based on pressure from the big businesses using the chain
(and no, NOT satoshidice)

Decentralization offers big businesses nothing; they're a regulation
target already by virtue of size alone.

> OF COURSE we're going to raise the block size limit. Limiting the main
> blockchain to single-digit transactions-per-second is not an option,
> the vision FOREVER has been to scale it up.
> 
> And OF COURSE there will be off-chain transactions-- at the very
> least, we need them for "instantly confirmed" transactions.
> 
> But lets table that whole discussion until 0.8.1 is out the door.
> 
> -- 
> --
> Gavin Andresen
> 

-- 
'peter'[:-1]@petertodd.org